Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 6674 - panic 4NULL pointer dereference4 & restore
Summary: panic 4NULL pointer dereference4 & restore
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 6.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michael K. Johnson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-11-03 11:14 UTC by rs-redhat
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-01-04 22:26:06 UTC


Attachments (Terms of Use)

Description rs-redhat 1999-11-03 11:14:15 UTC
i always get a kernel panic:
Unable to handle kernel NULL pointer dereference at virtual
address 0000001c
current->tss.cr3 = 02cda000, %cr3 = 02cda000
*pde = 00000000
Oops: 0000
CPU:    0
EIP:    0010:[<c0124b7f>]
EFLAGS: 00010293
eax: 00000000   ebx: ffffffff   ecx: c37f6330   edx:
00001180
esi: c2cfdf80   edi: ffffff86   ebp: c3943d10   esp:
c2cfdf78
ds: 0018   es: 0018   ss: 0018
Process restore (pid: 60, process nr: 14,
stackpage=c2cfd000)
Stack: c3943d10 00000000 00000046 00001180 ffff0000
c012c6b3 c0e58000 c3943d10
       00000001 c2cfc000 c0124c49 c3943d10 00000000
00000000 c2cfc000 00000000
       0805cfb2 bfffed34 c01097f8 0805cfb2 00000000
00000000 00000000 0805cfb2
Call Trace: [<c012c6b3>] [<c0124c49>] [<c01097f8>]
Code: 8b 40 1c 85 c0 74 6e bb 00 e0 ff ff 21 e3 80 b9 88 00
00 00

when i want to restore my root-fs via:

(cd /mnt; zcat /root.dump.gz | restore -rvf-)
or
(cd /mnt; cat root.dump | restore -rvf-)

but not on:
(cd /mnt; restore -rvf root.dump)
or
(cd /mnt/home; zcat /home.dump.gz | restore -rvf-)


i use kernel 2.2.5-15, compiled with egcs-2.91.66, running
on an Celeron 466, 64MB ram

how can i restore without wasting space for the
uncompressed dump file???

Comment 1 Cristian Gafton 2000-01-04 22:26:59 UTC
Assigned to dledford

Comment 2 Alan Cox 2000-08-22 14:35:42 UTC
If this occurs for anyone in RH 6.2 re-open the bug



Note You need to log in before you can comment on or make changes to this bug.